Subject: Re: [PATCH v3 4/4] wt-status.c: Set the committable flag in the collect phase.

From: "Stephen P. Smith" <[email-masked]>
Date: Fri, 07 Sep 2018 16:55:41 -0700

On Friday, September 7, 2018 3:31:55 PM MST you wrote:
> Junio C Hamano <[email-masked]> writes:

> The patch is mostly for illustration of the idea.
> 
> The result seems to compile and pass the test suite, but I haven't
> carefully thought about what else I may be breaking with this
> mechanical change.  For example, I noticed that both of the old
> callsites of wt_status_get_state() have free() of a few fiedls in
> the structure, and I kept the code as close to the original, but I
> suspect they should not be freed there in the functions in the
> "print" phase, but rather the caller of the "collect" and "print"
> should be made responsible for deciding when to dispose the entire
> wt_status (and wt_status_state as part of it).  This illustration
> patch does not address that kind of details (yet).

If we use this as a basis of a follow on patch, how do I handle credit.   You 
obviously wrote this patch and I did not.

So how is the mechanics of that normally done?   Thanks for the patch I will 
work with it.

sps